### Hierarchy

- Drupal

## Index

### Constructors

- constructor

### Properties

- api
- authenticated
- baseUrl
- base_path
- cache
- cors
- credentials
- defaultAuthHeader
- defaultUser
- domain
- file_directory_path
- isLocal
- jDrupal
- jsonApi
- language
- options
- protocol
- restoreLocalModel
- routes
- saveLocalModel
- siteParams
- sites
- standalone
- static
- user
- version

### Methods

- bookLoad
- createNode
- getAppNode
- getLocalStorageCredentials
- getParams
- getSiteData
- getView
- init
- initApi
- login
- logout
- menuLoad
- nodeLoad
- nodesLoad
- parseBookTree

### Object literals

- model

## Constructors

### constructor

- new Drupal(config?: any, apiService?: any): Drupal

- - Defined in cms/drupal/drupal.ts:44

  #### Parameters

  - ##### Default value config: any = undefined

  - ##### Default value apiService: any = undefined

  #### Returns Drupal

## Properties

### api

api: BaseApi

- Defined in cms/drupal/drupal.ts:9

### authenticated

authenticated: boolean

- Defined in cms/drupal/drupal.ts:10

### baseUrl

baseUrl: string

- Defined in cms/drupal/drupal.ts:12

### base_path

base_path: string

- Defined in cms/drupal/drupal.ts:11

### cache

cache: boolean = false

- Defined in cms/drupal/drupal.ts:13

### cors

cors: boolean

- Defined in cms/drupal/drupal.ts:14

### credentials

credentials: any

- Defined in cms/drupal/drupal.ts:15

### defaultAuthHeader

defaultAuthHeader: string = "Basic c2VydmljZXM6OSs0djJGdm0zMi84Ymtl"

- Defined in cms/drupal/drupal.ts:16

### defaultUser

defaultUser: string = "services"

- Defined in cms/drupal/drupal.ts:17

### domain

domain: string

- Defined in cms/drupal/drupal.ts:18

### file_directory_path

file_directory_path: string

- Defined in cms/drupal/drupal.ts:19

### isLocal

isLocal: boolean

- Defined in cms/drupal/drupal.ts:20

### jDrupal

jDrupal: any

- Defined in cms/drupal/drupal.ts:22

### jsonApi

jsonApi: DrupalApi

- Defined in cms/drupal/drupal.ts:21

### language

language: string

- Defined in cms/drupal/drupal.ts:23

### options

options: any

- Defined in cms/drupal/drupal.ts:33

### protocol

protocol: string

- Defined in cms/drupal/drupal.ts:34

### restoreLocalModel

restoreLocalModel: restoreLocalModel = Storage.restoreLocalModel

- Defined in cms/drupal/drupal.ts:35

### routes

routes: any

- Defined in cms/drupal/drupal.ts:36

### saveLocalModel

saveLocalModel: saveLocalModel = Storage.saveLocalModel

- Defined in cms/drupal/drupal.ts:39

### siteParams

siteParams: any

- Defined in cms/drupal/drupal.ts:40

### sites

sites: any

- Defined in cms/drupal/drupal.ts:38

### standalone

standalone: boolean

- Defined in cms/drupal/drupal.ts:41

### static

static: boolean

- Defined in cms/drupal/drupal.ts:42

### user

user: any

- Defined in cms/drupal/drupal.ts:43

### version

version: string = "drupal-8"

- Defined in cms/drupal/drupal.ts:44

## Methods

### bookLoad

- bookLoad(bid: number, preload?: boolean): any

- - Defined in cms/drupal/drupal.ts:290

  #### Parameters

  - ##### bid: number

  - ##### Default value preload: boolean = false

  #### Returns any

### createNode

- createNode(data: any): any

- - Defined in cms/drupal/drupal.ts:362

  #### Parameters

  - ##### data: any

  #### Returns any

### getAppNode

- getAppNode(uuid: any): any

- - Defined in cms/drupal/drupal.ts:200

  #### Parameters

  - ##### uuid: any

  #### Returns any

### getLocalStorageCredentials

- getLocalStorageCredentials(): any

- - Defined in cms/drupal/drupal.ts:249

  #### Returns any

### getParams

- getParams(): any

- - Defined in cms/drupal/drupal.ts:175

  #### Returns any

### getSiteData

- getSiteData(promises: any): any

- - Defined in cms/drupal/drupal.ts:237

  #### Parameters

  - ##### promises: any

  #### Returns any

### getView

- getView(viewEntity: any, params?: any): any

- - Defined in cms/drupal/drupal.ts:190

  #### Parameters

  - ##### viewEntity: any

  - ##### Default value params: any = undefined

  #### Returns any

### init

- init(options: any): any

- - Defined in cms/drupal/drupal.ts:64

  #### Parameters

  - ##### options: any

  #### Returns any

### initApi

- initApi(options: any): void

- - Defined in cms/drupal/drupal.ts:107

  #### Parameters

  - ##### options: any

  #### Returns void

### login

- login(username: any, password: any): any

- - Defined in cms/drupal/drupal.ts:151

  #### Parameters

  - ##### username: any

  - ##### password: any

  #### Returns any

### logout

- logout(): any

- - Defined in cms/drupal/drupal.ts:163

  #### Returns any

### menuLoad

- menuLoad(mid: string, preloadNodes?: boolean): Promise<void>

- - Defined in cms/drupal/drupal.ts:267

  #### Parameters

  - ##### mid: string

  - ##### Default value preloadNodes: boolean = false

  #### Returns Promise<void>

### nodeLoad

- nodeLoad(nid: number): any

- - Defined in cms/drupal/drupal.ts:332

  #### Parameters

  - ##### nid: number

  #### Returns any

### nodesLoad

- nodesLoad(nids: any): any

- - Defined in cms/drupal/drupal.ts:348

  #### Parameters

  - ##### nids: any

  #### Returns any

### parseBookTree

- parseBookTree(bid: number): any

- - Defined in cms/drupal/drupal.ts:307

  #### Parameters

  - ##### bid: number

  #### Returns any

## Object literals

### model

model: object

- Defined in cms/drupal/drupal.ts:24

### books

books: object

- Defined in cms/drupal/drupal.ts:29

#### Type declaration

### collections

collections: object

- Defined in cms/drupal/drupal.ts:26

#### Type declaration

### entities

entities: object

- Defined in cms/drupal/drupal.ts:25

#### Type declaration

### menus

menus: object

- Defined in cms/drupal/drupal.ts:28

#### Type declaration

### nodes

nodes: object

- Defined in cms/drupal/drupal.ts:31

#### Type declaration

### siteParams

siteParams: object

- Defined in cms/drupal/drupal.ts:30

#### Type declaration

### views

views: object

- Defined in cms/drupal/drupal.ts:27

#### Type declaration